function choice(n) {
	var s=$("span[name=checkBox]");
	if ($("#ckAll").is(".check_yes")) {
		for(var i in s){
			if(s[i].className=="check_yes"){
				s[i].className="check_no";
				
			}
		}
		n.className="check_no";
	} else {
		for(var i in s){
			if(s[i].className=="check_no"){
				s[i].className="check_yes";
			}
		}
		n.className="check_yes";
	}
}

var checkBoxsLength = 0;
function choice1(obj) {
	if ($(obj).is(".check_no")){
		obj.className="check_yes";
		if(obj.className =='check_no'){
			/*infos[status].value=n;*/
		 }
		var s = $("span[name=checkBox]");
		var isAllChecked = true;
		for(var i in s){
			if(s[i].className=="check_no"){
				if (s[i].id != n){
					isAllChecked = false;
					break;
				}
			}
		}
		if (isAllChecked) {
			$("#ckAll").removeClass("check_no").addClass("check_yes");
		}
	} else {
		obj.className="check_no";
		$("#ckAll").removeClass("check_yes").addClass("check_no");
	}

}

function deleteData(obj,cliamNo,objId) {
	var ok=confirm("是否确定删除？");
	if(ok){
		obj.parentNode.parentNode.parentNode.removeChild(obj.parentNode.parentNode);
		$.ajax({
			type :"POST",
			url : "/claimserver/bills/deleteData.do",
			data:{
				"cliamNo":cliamNo,"objId":objId
			},
		});
	}

	
}

function cPayment(){
//	$("#getBlock").find(".model").each(function(){
//		if($(this).find("span:eq(0)").is(".check_yes")){
//			$(this).find("input").each(function(){
//				ids += $(this).val()+',';
//			});
//			
//		}
//	});
	
	
	var partnerName='';
	var partnerType ='';
	$("#getBlock").find(".model").each(function(){
		if($(this).find("span:eq(0)").is(".check_yes")){
			 partnerName = $(this).find("#preInfo").find("td:eq(0)").html();
			 partnerType = $(this).find("#preInfo").find("td:eq(1)").attr("code"); 
		}
	});
	
	if(partnerName==''){
		alert("请勾选");
		return;
	}
	var obj=$(".preBill_objId");
/*	var o=$("input[name=obj]");
		for ( var i = 0; i < o.length; i++) {
			alert($(o[i]).val());
		}
	
	return;*/
	
	var objIds=[];
	for ( var i = 0; i < obj.length; i++) {
		objId=$(obj[i]).val();
		objIds.push(objId);
	}
//	 SkipByPost("configPayment.do",{partnerN:partnerName,partnerT:partnerType});
	SkipByPost("configPayment.do",{objId:objIds});
}

//跳转当前页
function cur_skip(e){
	var pn = $(e).find("span").html();
	SkipByPost("billsPaymentPage.do",{pageNo:pn});
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
	
}

//前一页
function pre(e){
	var cur = $("#nav").find(".turn_cur").html();
	if(cur>1){
	var pre = Number(cur)-Number(1);
	SkipByPost("billsPaymentPage.do",{pageNo:pre});
	}else{
		return;
	}
}
//下一页
function next(e){
	var cur = $("#nav").find(".turn_cur").html();
//	if(cur<1){
	
 	var next = Number(cur)+Number(1);
 	$("#currentPage").val(next);
 	var number=$("#max").val();
	if(parseInt(cur)<parseInt( number)){
	SkipByPost("billsPaymentPage.do",{pageNo:next});
//	}else{
//		return;
//	}
}
}
//跳转至
function custom(){
	var pn = $.trim($("#turn_inp").val());
	if( pn == "") return;    //如果为空就不跳转
	
	SkipByPost("billsPaymentPage.do",{pageNo:Number(pn)});
}